Home | All Classes | Grouped Classes | Index | Search

# Class CL_Timer

Timer signal emitter. More...

Derived from: CL_KeepAlive
Derived by: none
Group: Core (System)

#include <ClanLib/core.h>

Construction:

CL_Timer | Constructs and registers the timer as a keep alive listener.

Attributes:

get_interval | Returns the current time interval.
is_enabled | Returns true if the timer is enabled, false otherwise.

Operations:

set_interval | Sets a new interval for the timer.
enable | Call this function to enable the timer.
disable | Call this function to disable the timer.

Signals:

sig_timer | Signal emitted everytime the interval has elapsed.

Detailed description:

!group=Core/System! !header=core.h!

Use this class to emit a signal as a timer event.

Questions or comments, write to the ClanLib mailing list.